clan::SoundProviderFactory Class Reference - ClanLib SDK
Description: clan::SoundProviderFactory Class Reference

Static Public Member Functions | List of all members
clan::SoundProviderFactory Class Reference
clanSound Sound Providers

Sound Provider Factor class. More...

`#include <soundprovider_factory.h>`

## Static Public Member Functions
static SoundProvider * | load (const std::string &filename, bool streamed, const FileSystem &fs, const std::string &type=std::string())
| Loads an sample file from 'filename', using the provider identified by 'type'.
static SoundProvider * | load (const std::string &fullname, bool streamed, const std::string &type=std::string())
| Loads an sample file from 'filename', using the provider identified by 'type'.
static SoundProvider * | load (IODevice &file, bool streamed, const std::string &type)
| Loads an sample file from 'file', using the provider identified by 'type'.

## Detailed Description

Sound Provider Factor class.

## Member Function Documentation

## ◆ load() [1/3]

static SoundProvider * clan::SoundProviderFactory::load | ( | const std::string & | filename,
|  | bool | streamed,
|  | const FileSystem & | fs,
|  | const std::string & | type = std::string() )
| static

Loads an sample file from 'filename', using the provider identified by 'type'.

If the type is an empty string, it uses the extension of the filename to determine what type it is.

The input provider will be used as a the source for filename, if specified.

## ◆ load() [2/3]

static SoundProvider * clan::SoundProviderFactory::load | ( | const std::string & | fullname,
|  | bool | streamed,
|  | const std::string & | type = std::string() )
| static

Loads an sample file from 'filename', using the provider identified by 'type'.

## ◆ load() [3/3]

static SoundProvider * clan::SoundProviderFactory::load | ( | IODevice & | file,
|  | bool | streamed,
|  | const std::string & | type )
| static

Loads an sample file from 'file', using the provider identified by 'type'.

The documentation for this class was generated from the following file:

- soundprovider_factory.h